Update vehicle profile
Updates information in the specified vehicle profile. Note that all fields are optional, i.e., a partial view of the request body may be given.
curl --request PUT \
--url https://ctechnology.io/api/v2.2/vehicle/{vehicle_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"bluetooth_address": "<string>",
"name": "<string>",
"brand": "<string>",
"type": "<string>",
"desc": "<string>",
"description": "<string>",
"image_id": "<string>",
"primary_organization_id": "<string>",
"manufacturing_organization_id": "<string>",
"professional_vehicle_id": "<string>",
"professional_vehicle_name": "<string>",
"professional_location_main_lon": 123,
"professional_location_main_lat": 123,
"professional_location_main_desc": "<string>",
"oem_vehicle_id": "<string>",
"oem_vehicle_type_id": "<string>",
"vehicle_registration_id": "<string>",
"vehicle_identification_number": "<string>",
"ain_1_desc": "<string>",
"ain_2_desc": "<string>",
"ain_3_desc": "<string>",
"ain_4_desc": "<string>",
"din_1_desc": "<string>",
"din_2_desc": "<string>",
"din_3_desc": "<string>",
"din_4_desc": "<string>",
"din_5_desc": "<string>",
"dout_1_desc": "<string>",
"dout_2_desc": "<string>",
"dout_3_desc": "<string>",
"dout_4_desc": "<string>",
"ble_temp_type": "<string>",
"temp_1_desc": "<string>",
"temp_2_desc": "<string>",
"temp_3_desc": "<string>",
"temp_4_desc": "<string>",
"battery_main_desc": "<string>",
"battery_ext_1_desc": "<string>",
"battery_ext_2_desc": "<string>",
"battery_ext_3_desc": "<string>",
"battery_ext_4_desc": "<string>",
"tank_size": 123,
"tank_prefer_analog": true,
"hibernation_mode": true,
"transport_mode": true,
"notrack_mode": true,
"organization_vehicles": [
{
"organization_id": "<string>",
"vehicle_id": "<string>",
"vehicle_device_id": "<string>",
"primary_organization": true,
"manufacturing_organization": true,
"vehicle_category_id": "<string>",
"vehicle_category_name": "<string>",
"vehicle_family_id": "<string>",
"vehicle_family_name": "<string>",
"vehicle_type_id": "<string>",
"vehicle_type_name": "<string>",
"vehicle_type_image_url": "<string>",
"organization_vehicle_id": "<string>",
"organization_vehicle_name": "<string>",
"organization_vehicle_desc": "<string>",
"vehicle_type_max_speed": 123,
"vehicle_type_battery_capacity_wh": 123,
"vehicle_type_avg_consumption_wh_per_km": 123,
"vehicle_type_tank_capacity_l": 123,
"vehicle_type_avg_consumption_l_per_100km": 123,
"location_main_desc": "<string>"
}
],
"initial_distance": 123,
"initial_operation_hours": 123,
"initial_date": "2023-12-25",
"initialization_complete": true,
"auto_discover_home": true,
"trips_end_at_home": true,
"remove_trip_points_on_land": true,
"vehicle_length_m": 123,
"vehicle_depth_m": 123,
"vehicle_height_m": 123,
"vehicle_weight_kg": 123,
"main_battery_property_pct": "<string>",
"main_fuel_property_pct": "<string>",
"display_settings": {
"webapp_sidebar_slot_1": "<string>",
"webapp_sidebar_slot_2": "<string>",
"nativeapp_dashboard_main": "<string>",
"nativeapp_four_most_important_1": "<string>",
"nativeapp_four_most_important_2": "<string>",
"nativeapp_four_most_important_3": "<string>",
"nativeapp_four_most_important_4": "<string>"
}
}
'import requests
url = "https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}"
payload = {
"bluetooth_address": "<string>",
"name": "<string>",
"brand": "<string>",
"type": "<string>",
"desc": "<string>",
"description": "<string>",
"image_id": "<string>",
"primary_organization_id": "<string>",
"manufacturing_organization_id": "<string>",
"professional_vehicle_id": "<string>",
"professional_vehicle_name": "<string>",
"professional_location_main_lon": 123,
"professional_location_main_lat": 123,
"professional_location_main_desc": "<string>",
"oem_vehicle_id": "<string>",
"oem_vehicle_type_id": "<string>",
"vehicle_registration_id": "<string>",
"vehicle_identification_number": "<string>",
"ain_1_desc": "<string>",
"ain_2_desc": "<string>",
"ain_3_desc": "<string>",
"ain_4_desc": "<string>",
"din_1_desc": "<string>",
"din_2_desc": "<string>",
"din_3_desc": "<string>",
"din_4_desc": "<string>",
"din_5_desc": "<string>",
"dout_1_desc": "<string>",
"dout_2_desc": "<string>",
"dout_3_desc": "<string>",
"dout_4_desc": "<string>",
"ble_temp_type": "<string>",
"temp_1_desc": "<string>",
"temp_2_desc": "<string>",
"temp_3_desc": "<string>",
"temp_4_desc": "<string>",
"battery_main_desc": "<string>",
"battery_ext_1_desc": "<string>",
"battery_ext_2_desc": "<string>",
"battery_ext_3_desc": "<string>",
"battery_ext_4_desc": "<string>",
"tank_size": 123,
"tank_prefer_analog": True,
"hibernation_mode": True,
"transport_mode": True,
"notrack_mode": True,
"organization_vehicles": [
{
"organization_id": "<string>",
"vehicle_id": "<string>",
"vehicle_device_id": "<string>",
"primary_organization": True,
"manufacturing_organization": True,
"vehicle_category_id": "<string>",
"vehicle_category_name": "<string>",
"vehicle_family_id": "<string>",
"vehicle_family_name": "<string>",
"vehicle_type_id": "<string>",
"vehicle_type_name": "<string>",
"vehicle_type_image_url": "<string>",
"organization_vehicle_id": "<string>",
"organization_vehicle_name": "<string>",
"organization_vehicle_desc": "<string>",
"vehicle_type_max_speed": 123,
"vehicle_type_battery_capacity_wh": 123,
"vehicle_type_avg_consumption_wh_per_km": 123,
"vehicle_type_tank_capacity_l": 123,
"vehicle_type_avg_consumption_l_per_100km": 123,
"location_main_desc": "<string>"
}
],
"initial_distance": 123,
"initial_operation_hours": 123,
"initial_date": "2023-12-25",
"initialization_complete": True,
"auto_discover_home": True,
"trips_end_at_home": True,
"remove_trip_points_on_land": True,
"vehicle_length_m": 123,
"vehicle_depth_m": 123,
"vehicle_height_m": 123,
"vehicle_weight_kg": 123,
"main_battery_property_pct": "<string>",
"main_fuel_property_pct": "<string>",
"display_settings": {
"webapp_sidebar_slot_1": "<string>",
"webapp_sidebar_slot_2": "<string>",
"nativeapp_dashboard_main": "<string>",
"nativeapp_four_most_important_1": "<string>",
"nativeapp_four_most_important_2": "<string>",
"nativeapp_four_most_important_3": "<string>",
"nativeapp_four_most_important_4": "<string>"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bluetooth_address: '<string>',
name: '<string>',
brand: '<string>',
type: '<string>',
desc: '<string>',
description: '<string>',
image_id: '<string>',
primary_organization_id: '<string>',
manufacturing_organization_id: '<string>',
professional_vehicle_id: '<string>',
professional_vehicle_name: '<string>',
professional_location_main_lon: 123,
professional_location_main_lat: 123,
professional_location_main_desc: '<string>',
oem_vehicle_id: '<string>',
oem_vehicle_type_id: '<string>',
vehicle_registration_id: '<string>',
vehicle_identification_number: '<string>',
ain_1_desc: '<string>',
ain_2_desc: '<string>',
ain_3_desc: '<string>',
ain_4_desc: '<string>',
din_1_desc: '<string>',
din_2_desc: '<string>',
din_3_desc: '<string>',
din_4_desc: '<string>',
din_5_desc: '<string>',
dout_1_desc: '<string>',
dout_2_desc: '<string>',
dout_3_desc: '<string>',
dout_4_desc: '<string>',
ble_temp_type: '<string>',
temp_1_desc: '<string>',
temp_2_desc: '<string>',
temp_3_desc: '<string>',
temp_4_desc: '<string>',
battery_main_desc: '<string>',
battery_ext_1_desc: '<string>',
battery_ext_2_desc: '<string>',
battery_ext_3_desc: '<string>',
battery_ext_4_desc: '<string>',
tank_size: 123,
tank_prefer_analog: true,
hibernation_mode: true,
transport_mode: true,
notrack_mode: true,
organization_vehicles: [
{
organization_id: '<string>',
vehicle_id: '<string>',
vehicle_device_id: '<string>',
primary_organization: true,
manufacturing_organization: true,
vehicle_category_id: '<string>',
vehicle_category_name: '<string>',
vehicle_family_id: '<string>',
vehicle_family_name: '<string>',
vehicle_type_id: '<string>',
vehicle_type_name: '<string>',
vehicle_type_image_url: '<string>',
organization_vehicle_id: '<string>',
organization_vehicle_name: '<string>',
organization_vehicle_desc: '<string>',
vehicle_type_max_speed: 123,
vehicle_type_battery_capacity_wh: 123,
vehicle_type_avg_consumption_wh_per_km: 123,
vehicle_type_tank_capacity_l: 123,
vehicle_type_avg_consumption_l_per_100km: 123,
location_main_desc: '<string>'
}
],
initial_distance: 123,
initial_operation_hours: 123,
initial_date: '2023-12-25',
initialization_complete: true,
auto_discover_home: true,
trips_end_at_home: true,
remove_trip_points_on_land: true,
vehicle_length_m: 123,
vehicle_depth_m: 123,
vehicle_height_m: 123,
vehicle_weight_kg: 123,
main_battery_property_pct: '<string>',
main_fuel_property_pct: '<string>',
display_settings: {
webapp_sidebar_slot_1: '<string>',
webapp_sidebar_slot_2: '<string>',
nativeapp_dashboard_main: '<string>',
nativeapp_four_most_important_1: '<string>',
nativeapp_four_most_important_2: '<string>',
nativeapp_four_most_important_3: '<string>',
nativeapp_four_most_important_4: '<string>'
}
})
};
fetch('https://ctechnology.io/api/v2.2/vehicle/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"id": "<string>",
"device_id": "<string>",
"name": "<string>",
"type": "<string>",
"desc": "<string>",
"image_url": "<string>",
"delivery_date": "2023-11-07T05:31:56Z",
"ble_temp_type": "<string>",
"temp_1_desc": "<string>",
"temp_2_desc": "<string>",
"temp_3_desc": "<string>",
"temp_4_desc": "<string>",
"battery_main_desc": "<string>",
"battery_ext_1_desc": "<string>",
"device_angle_offset": 123,
"tank_size": 123,
"can_readout": true,
"obd2_readout": true,
"n2k_readout": true,
"hibernation_mode": true,
"maintenance_can_distance": true,
"hardware_type": "<string>",
"protocol_type": "<string>",
"bluetooth": true,
"bluetooth_address": "<string>",
"development_vehicle": true,
"sim_type": "<string>",
"processing_pipeline": "<string>",
"processing_pipeline_module_options_overrides": "<unknown>",
"brand": "<string>",
"description": "<string>",
"image_id": "<string>",
"group_id": "<string>",
"primary_organization_id": "<string>",
"manufacturing_organization_id": "<string>",
"professional_vehicle_id": "<string>",
"professional_vehicle_name": "<string>",
"professional_location_main_lon": 123,
"professional_location_main_lat": 123,
"professional_location_main_desc": "<string>",
"oem_vehicle_id": "<string>",
"oem_vehicle_type_id": "<string>",
"vehicle_registration_id": "<string>",
"vehicle_identification_number": "<string>",
"ain_1_desc": "<string>",
"ain_2_desc": "<string>",
"ain_3_desc": "<string>",
"ain_4_desc": "<string>",
"din_1_desc": "<string>",
"din_2_desc": "<string>",
"din_3_desc": "<string>",
"din_4_desc": "<string>",
"din_5_desc": "<string>",
"dout_1_desc": "<string>",
"dout_2_desc": "<string>",
"dout_3_desc": "<string>",
"dout_4_desc": "<string>",
"battery_ext_2_desc": "<string>",
"battery_ext_3_desc": "<string>",
"battery_ext_4_desc": "<string>",
"tank_prefer_analog": true,
"transport_mode": true,
"notrack_mode": true,
"notrack_mode_deact_time": "2023-11-07T05:31:56Z",
"function_control_mode_deact_time": "2023-11-07T05:31:56Z",
"subscription": {
"id": "<string>",
"timestamp_start": "2023-11-07T05:31:56Z",
"timestamp_end": "2023-11-07T05:31:56Z",
"service_type": "BASE",
"user_id": "<string>",
"vehicle_id": "<string>",
"stripe_subscription": "<string>",
"voucher_id": 123
},
"organization_vehicles": [
{
"id": "<string>",
"organization_id": "<string>",
"vehicle_id": "<string>",
"vehicle_device_id": "<string>",
"primary_organization": true,
"manufacturing_organization": true,
"vehicle_category_id": "<string>",
"vehicle_category_name": "<string>",
"vehicle_family_id": "<string>",
"vehicle_family_name": "<string>",
"vehicle_type_id": "<string>",
"vehicle_type_name": "<string>",
"vehicle_type_image_url": "<string>",
"organization_vehicle_id": "<string>",
"organization_vehicle_name": "<string>",
"organization_vehicle_desc": "<string>",
"vehicle_type_max_speed": 123,
"vehicle_type_battery_capacity_wh": 123,
"vehicle_type_avg_consumption_wh_per_km": 123,
"vehicle_type_tank_capacity_l": 123,
"vehicle_type_avg_consumption_l_per_100km": 123,
"location_main_desc": "<string>"
}
],
"initial_distance": 123,
"initial_operation_hours": 123,
"initial_date": "2023-12-25",
"initialization_complete": true,
"auto_discover_home": true,
"trips_end_at_home": true,
"remove_trip_points_on_land": true,
"vehicle_length_m": 123,
"vehicle_depth_m": 123,
"vehicle_height_m": 123,
"vehicle_weight_kg": 123,
"main_battery_property_pct": "<string>",
"main_fuel_property_pct": "<string>",
"display_settings": {
"webapp_sidebar_slot_1": "<string>",
"webapp_sidebar_slot_2": "<string>",
"nativeapp_dashboard_main": "<string>",
"nativeapp_four_most_important_1": "<string>",
"nativeapp_four_most_important_2": "<string>",
"nativeapp_four_most_important_3": "<string>",
"nativeapp_four_most_important_4": "<string>"
}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to update.
Body
Request body when updating a vehicle profile.
The drivetrain of this vehicle.
GASOLINE, DIESEL, ELECTRIC The Bluetooth address of this device. This can (usually) only be set once, after which it is read-only.
The owner-given name of this vehicle.
The brand of this vehicle.
A type description of this vehicle.
The owner-given description of his / her vehicle. -> Deprecated as of v2.1 in favor of description.
The owner-given description of his / her vehicle.
The ID of the "vehicle profile" image. You can retrieve a new image identifier by POSTing a new image to /image/. Please refer to the respective section of this documentation.
The ID of the primary organization, if any. The primary organization is responsible for the subscriptions and payments of the vehicle.
The ID of the manufacturing organization, if any.
An ID given by a professional organization, if any.
An vehicle name given by a professional organization, if any.
The location (longitude) of the vehicle, as specified by the professional organization.
The location (latitude) of the vehicle, as specified by the professional organization.
A description of the vehicle's location.
An ID given by an OEM. -> Deprecated as of API v2.1 in favor of vehicle_identification_number and organization_vehicles.organization_vehicle_id.
The vehicle type as specified by an OEM. -> Deprecated as of API v2.1 in favor of organization_vehicles.organization_vehicle_type_id.
The vehicle's official registration ID. This is usually the license plate number.
The vehicle's official identification number, abbreviated as VIN.
Describes the type of sensor connected to the analog input 1.
NONE, FUEL, BATTERY, BATTERY_2, BATTERY_3, BATTERY_4, 220VLAND, 220VLINV, WATER, WATERINV Describes the type of sensor connected to the analog input 2.
NONE, FUEL, BATTERY, BATTERY_2, BATTERY_3, BATTERY_4, 220VLAND, 220VLINV, WATER, WATERINV Describes the type of sensor connected to the analog input 3.
NONE, FUEL, BATTERY, BATTERY_2, BATTERY_3, BATTERY_4, 220VLAND, 220VLINV, WATER, WATERINV Describes the type of sensor connected to the analog input 4.
NONE, FUEL, BATTERY, BATTERY_2, BATTERY_3, BATTERY_4, 220VLAND, 220VLINV, WATER, WATERINV Description of what is plugged into analog input 1.
Description of what is plugged into analog input 2.
Description of what is plugged into analog input 3.
Description of what is plugged into analog input 4.
Describes the type of sensor connected to the digital input 1.
NONE, 220VLAND, 220VLINV, WATER, WATERINV, ARBTR, ARBTRINV Describes the type of sensor connected to the digital input 2.
NONE, 220VLAND, 220VLINV, WATER, WATERINV, ARBTR, ARBTRINV Describes the type of sensor connected to the digital input 3.
NONE, 220VLAND, 220VLINV, WATER, WATERINV, ARBTR, ARBTRINV Describes the type of sensor connected to the digital input 4.
NONE, 220VLAND, 220VLINV, WATER, WATERINV, ARBTR, ARBTRINV Describes the type of sensor connected to the digital input 5.
NONE, 220VLAND, 220VLINV, WATER, WATERINV, ARBTR, ARBTRINV Description of what is plugged into digital input 1.
Description of what is plugged into digital input 2.
Description of what is plugged into digital input 3.
Description of what is plugged into digital input 4.
Description of what is plugged into digital input 5.
Describes the type of actuator connected to the digital output 1.
NONE, LOCK, NO_REFL, IN_OSZ, IN_ISZ, OSPD_SZ, IN_FRBZ, FUEL_CRT, ARBTR Describes the type of actuator connected to the digital output 2.
NONE, LOCK, NO_REFL, IN_OSZ, IN_ISZ, OSPD_SZ, IN_FRBZ, FUEL_CRT, ARBTR Describes the type of actuator connected to the digital output 3.
NONE, LOCK, NO_REFL, IN_OSZ, IN_ISZ, OSPD_SZ, IN_FRBZ, FUEL_CRT, ARBTR Describes the type of actuator connected to the digital output 4.
NONE, LOCK, NO_REFL, IN_OSZ, IN_ISZ, OSPD_SZ, IN_FRBZ, FUEL_CRT, ARBTR Description of what is plugged into digital output 1.
Description of what is plugged into digital output 2.
Description of what is plugged into digital output 3.
Description of what is plugged into digital output 4.
Describes the number of Bluetooth temperature sensors connected. This can either be NONE
or a string-encoded bit mask of the form XXXX (e.g., 1000 when the first BLE temperature
sensor is connected).
Descriptive text of Bluetooth temperature sensor 1.
Descriptive text of Bluetooth temperature sensor 2.
Descriptive text of Bluetooth temperature sensor 3.
Descriptive text of Bluetooth temperature sensor 4.
Choice of main battery model.
12V-DEF, 24V-DEF, 24V-2x12, 24V-SLB Description of main battery.
Choice of first external battery model.
12V-DEF, 24V-DEF, 24V-2x12, 24V-SLB Description of first external battery.
Choice of second external battery model.
12V-DEF, 24V-DEF, 24V-2x12, 24V-SLB Description of second external battery.
Choice of third external battery model.
12V-DEF, 24V-DEF, 24V-2x12, 24V-SLB Description of third external battery.
Choice of fourth external battery model.
12V-DEF, 24V-DEF, 24V-2x12, 24V-SLB Description of fourth external battery.
The size of the primary tank (in liters).
If an analog tank reading should be preferred over a CAN bus reading (if available).
If the installed IoT device is in hibernation mode (where it sends less data and thus conserves energy).
If the installed IoT device is in transport mode (where trips are recorded, but not saved to the logbook).
If the installed IoT device is in notrack mode (the sensor / location data is not processed).
A subscription to a service within the c.technology cloud ecosystem. This could be for a single vehicle's functionality (most common use case), but also for an additional service such as the vehicle launch service.
Note that you cannot directly create service subscriptions, but have to use another endpoint to do so (Stripe for recurring payments, buy and use a voucher for one-time activations, etc.).
The organizations that are allowed to access this vehicle. The information passed along here might differ depending on your own organizational access.
Show child attributes
Show child attributes
The configured initial distance before the IoT device was installed.
The configured operation hours before the IoT device was installed.
The data when the IoT device was installed.
If the initialization of this vehicle is complete.
If this vehicle automatically discovers new home locations.
If trips of this vehicle should always stop when it approaches a home location.
If trip points on land should be removed during trip processing.
The type of boat, if applicable.
MOTORBOAT, SAILBOAT The length of the vehicle in meters.
The depth of the vehicle in meters.
The height of the vehicle in meters.
The weight of the vehicle in kilograms.
The vehicle status field that is considered the main battery property.
The vehicle status field that is considered the main fuel property.
Various settings related to how a vehicle is displayed in the native or web app. Currently, this is not editable, but only available as part of a vehicle GET response.
Show child attributes
Show child attributes
Response
Successful update of this vehicle profile.

